<div class="flex flex-col flex-auto min-w-0">
    <mat-card>
        <mat-card-header class="bg-blue-800 justify-center rounded-t-lg">
            <mat-label class="mb-4 text-xl text-white">แบบประเมินพฤติกรรมก้าวร้าวรุนแรง</mat-label>
        </mat-card-header>
        <div class="flex flex-col divide-y">
            <div class="card-body">
                <ngx-spinner  color="#fff" type="ball-clip-rotate-multiple" size="medium">
                    <p class="myLoading">Loading Datas...</p>
                </ngx-spinner>
            </div>
           
            <div class="flex flex-col" *ngFor="let r of rowsQuestions; let i= index">
                <label id="example-radio-group-label" class="font-bold">{{r.question_text}}</label>
                <mat-radio-group name={{r.question_id}} [(ngModel)]="r.ngModel" (change)="onRadioChange($event)">
        
                    <mat-radio-button class="flex flex-col" id={{ra.answer_id}} value={{ra.answer_score}} *ngFor="let ra of r.answer; let j= index">{{ra.answer_text}}</mat-radio-button>
        
                </mat-radio-group>
            </div>
        
        
            <div>
                <div class=" w-full mt-4 mb-2">
                    <mat-card-actions class="grid justify-items-center">
                        <button mat-button class="bg-green-400" (click)="saveEvaluate()">
                            <mat-icon class="text-black">save</mat-icon>
                            บันทึก
                        </button>
                    </mat-card-actions>
                </div>
            </div>
        
        </div>
    </mat-card>
</div>
    